Copyright: WinPOP Help File , Version 1.0


WinPop Help

The WinPOP application is designed to retrieve messages from

a NOS ( specifically JNOS 110c ) "Front-End" system. The application

uses the WINSOCK interface to the network sub-system and supports

the POP3 protocol for the data exchange.

How to use WinPOP

Configuring POP3.ini

Running WinPOP

Command line options

References

Winsock

Support and Futures

Cot-Death


WinPOP Index

Configuring POP3.ini

Running WinPOP

Command line options


Configuring POP3.ini

WinPOP is configured through two methods. The first is the startup

configuration which is read in from the pop3.ini file. The second is through

dynamic configuration from the config window. The comments below

apply to both methods. Note: the dynamic configuration is NOT saved to the

pop3.ini file.

POP3.INI:-	The format of this file must be strictly adhered to as my programming is not very good!.

This file consists of line items required to configure the system.

Username

The username required to log onto the POP3 server

Password

The password required to log onto the POP3 server

Hostname

The hostname of the POP3 server. Note: IP addresses are not acceptable in this field at present.

Mailfile

The file into which collected mail is written ( Full path name )


Running WinPOP

WinPOP is designed to be straightforward to use. It will either run interactively or automatically (see Command Line Options).

The retrieval of large amounts of mail can take a significant amount of time

so be prepared for a wait sometimes.

The system was designed to operate over a LAN link. Operation over any other link type cannot be guaranteed, the effect of network delays has not been explored.

A tracing facility has been built-in in case of problems.


Command Line Options

Two command line options are available:

-a

Autorun feature. This takes the ini configuration and automatically calls the server. This is so the program can be run from the startup group to retrieve mail when windows starts. (It can be run minimised)

-t

Tracing feature. Turns on tracing on startup.


WinSock

WinSock is a library designed to give access to network services fro Window applications via a Berkeley sockets lookalike facility.

This progam ONLY operates via a WinSock interface. You must have a TCP/IP implementation which provides this facility ( usually winsock.dll etc). It is not possible to use DLLs not supplied with the underlying software.

The WinSock interface is well documented. Much of the code in this program has been developed from WinSock examples previously published.

I use FTPs PCTCP product. Although WinSock is supposed to be a universally

defined interface this program cannot be guaranteed to operate with other implementations.


Support and Futures

I developed this software because I needed it. I am not a programmer. The code is probably full of holes and could be written in three lines of machine code by a Windows guru. I do not intend to enter into long support issues. The code works for me. I am happy to enter into short discussions via email.

My address is:

mlines@sni.co.uk

If you are really interested then you are welcome to copies of the source, please

mail for a copy ( free ! ).

I am now developing a NOS Dashboard for Windows. This will present graphically some of the standard information available from a NOS system. Do not hold your breath waiting for this software but if I ever have publishable code then I will make it available.


Cot-Death

As code is free ( who would pay for it anyway! ) I feel entitled to a soap-box.

My particular soap box is Cot-Death. I recently lost my son, Adam, to Cot-Death at the age of eighteen months. This is where an otherwise healthy child simply dies in their sleep. No medical reason can be found.

Here in the UK, 10 babies a week die through this syndrome. This represents 2 average Jumbo Jets a year crashing with all lost. If this happened there would be a public outcry. Instead these babies die quietly in their sleep leaving grieving parents. If 10 teenagers a week collapsed and died at school the Government would have to act.

We need to fund more research into this problem and raise awareness amongst the public.

The Foundation for the Study of Infant Deaths has been set up to carry out this task. They always need financial and physical help.

Please contact me mlines@sni.co.uk for further info.